/*
 *    This file is part of MixShark.
 *
 *  MixShark is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MixShark is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MixShark.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#include "application.h"
#include "bookmarksmanager.h"
#include "webkittc.h"
#include <QDir>
#include <QSettings>

Application *app()
{
    return qobject_cast<Application *>(QCoreApplication::instance());
}

Application::Application(int &argc, char *argv[]) :
    QApplication(argc, argv), m_bmManager(new BookmarksManager(this))
{
    setApplicationName("MixShark");
    setApplicationVersion("1.0a6");
    setOrganizationName("MixShark");
    setOrganizationDomain("http://mixshark.free.fr");
    QDir dir;
    dir.mkpath(app()->dataDirectory());
    m_settings = new QSettings(dataDirectory()+"/Config.ini", QSettings::IniFormat, this);
}

TabContent *Application::createWebTabContent()
{
    return new WebKitTabContent;
}
