/*
 *    This file is part of MixShark.
 *
 *  MixShark is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MixShark is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MixShark.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef APPLICATION_H
#define APPLICATION_H

#include <QApplication>
#include <QSettings>
#include <QDesktopServices>
#include "tabcontent.h"

class BookmarksManager;

class Application : public QApplication
{
    Q_OBJECT
public:
    explicit Application(int &argc, char *argv[]);
    TabContent *createWebTabContent();
    QSettings &settings() { return *m_settings; }
    QString dataDirectory() { return
#ifdef Q_WS_X11
    QDesktopServices::storageLocation(QDesktopServices::HomeLocation)+"/.MixShark";
#else
    QDesktopServices::storageLocation(QDesktopServices::DataLocation);
#endif
    }
    BookmarksManager *bookmarksManager() const { return m_bmManager; }

signals:

public slots:

private:
    QSettings *m_settings;
    BookmarksManager *m_bmManager;

};

Application *app();

#endif // APPLICATION_H
