/*
 *    This file is part of MixShark.
 *
 *  MixShark is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MixShark is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MixShark.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef BOOKMARKSMANAGER_H
#define BOOKMARKSMANAGER_H

#include <QObject>
#include <QUrl>

typedef QPair<QUrl, QString> Bookmark;

class BookmarksManager : public QObject
{
    Q_OBJECT
public:
    explicit BookmarksManager(QObject *parent = 0);
    QList<Bookmark> getBookmarks() const;
    void setBookmarks(QList<Bookmark> bookmarks);

signals:
    void bookmarksChanged();

public slots:
    void addBookmark(const QUrl &url, const QString &title);

};

#endif // BOOKMARKSMANAGER_H
