/*
 *    This file is part of MixShark.
 *
 *  MixShark is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MixShark is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MixShark.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef BOOKMARKSVIEWTC_H
#define BOOKMARKSVIEWTC_H

#include "tabcontent.h"

class QStandardItemModel;
class QTreeView;

class BookmarksViewTabContent : public TabContent
{
    Q_OBJECT
public:
    explicit BookmarksViewTabContent(QWidget *parent = 0);
    void load(const QUrl &url) { Q_UNUSED(url) }

protected:
    QString title() { return tr("MixShark Settings"); }
    QUrl url() { return QUrl(); }
    QString data() { return QString(); }
    QIcon icon() { return QIcon(); }
    bool canGoBack() { return false; }
    bool canGoForward() { return false; }

signals:

public slots:

private slots:
    void updateTable();
    void updateBookmarks();

private:
    QStandardItemModel *model;
    QTreeView *view;
};

#endif // BOOKMARKSVIEWTC_H
