/*
 *    This file is part of MixShark.
 *
 *  MixShark is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MixShark is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MixShark.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#include "maintabbar.h"
#include "mainview.h"
#include <QToolButton>

MainTabBar::MainTabBar(QWidget *parent) :
    QTabBar(parent)
{
    setTabsClosable(true);
    setMovable(true);
}

QSize MainTabBar::sizeHint() const
{
    return QTabBar::sizeHint();
}

QSize MainTabBar::tabSizeHint(int index) const
{
    Q_UNUSED(index)

#define baseTabWidth 192
#ifdef Q_WS_MAC
#define tabHeight QTabBar::tabSizeHint(index);
#else
#define tabHeight 32
#endif
    int tabBarWidth = parentWidget()->width()
                          -24 // Add tab button width
    #ifndef Q_WS_MAC
                          -64 // Menu button width
    #endif
                          ;
    int minTabWidth = tabBarWidth / 8;

    if(baseTabWidth*count() < tabBarWidth) return QSize(baseTabWidth, tabHeight);
    else
    {
        if(tabBarWidth / count() > minTabWidth) return QSize(tabBarWidth / count(), tabHeight);
        else return QSize(minTabWidth, tabHeight);
    }

    return QSize();
}
