/*
 *    This file is part of MixShark.
 *
 *  MixShark is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MixShark is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MixShark.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#include "maintoolbar.h"
#include "urlfield.h"

#include <QToolButton>

MainToolBar::MainToolBar(QAction *actionBack, QAction *actionForward, QWidget *parent) :
    QToolBar(parent), urlField(new UrlField(this))
{
    addAction(actionBack);
    addAction(actionForward);
    addWidget(urlField);
    connect(urlField, SIGNAL(returnPressed()), this, SIGNAL(urlFieldReturnPressed()));

    setMovable(false);
}

QString MainToolBar::urlFieldText() const
{
    return urlField->text();
}

void MainToolBar::setUrlFieldText(const QString &text)
{
    urlField->setText(text);
}

QSize MainToolBar::sizeHint() const
{
    return QSize(0, 36);
}
