/*
 *    This file is part of MixShark.
 *
 *  MixShark is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MixShark is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MixShark.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef SETTINGSTC_H
#define SETTINGSTC_H

#include "tabcontent.h"

#include <QSettings>

class QAbstractButton;

namespace Ui {
    class SettingsTabContent;
}

class SettingsTabContent : public TabContent
{
    Q_OBJECT

public:
    explicit SettingsTabContent(QWidget *parent = 0);
    ~SettingsTabContent();
    void load(const QUrl &url) { Q_UNUSED(url) }

protected:
    QString title() { return tr("MixShark Settings"); }
    QUrl url() { return QUrl(); }
    QString data() { return QString(); }
    QIcon icon() { return QIcon(); }
    bool canGoBack() { return false; }
    bool canGoForward() { return false; }

private slots:
    void onOkClicked();
    void loadSettings();
    void saveSettings();
    void restoreDefaultSettings();

private:
    Ui::SettingsTabContent *ui;
};

#endif // SETTINGSTC_H
