/*
 *    This file is part of MixShark.
 *
 *  MixShark is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MixShark is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MixShark.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef WEBKITTC_H
#define WEBKITTC_H

#include "tabcontent.h"

class WebView;
class QWebInspector;
class QVBoxLayout;

class WebKitTabContent : public TabContent
{
    Q_OBJECT
public:
    explicit WebKitTabContent(QWidget *parent = 0);
    void load(const QUrl &url);
    QString title();
    QUrl url();
    QString data();
    QIcon icon();

signals:

public slots:
    void back();
    void forward();
    void reload();
    void openActiveLink();
    void openActiveLinkNewTab();
    void showActiveImage();
    void undo();
    void redo();
    void cut();
    void copy();
    void paste();
    void selectAll();
    void inspectElement();

protected:
    bool canGoBack();
    bool canGoForward();

private:
    QVBoxLayout *layout;
    WebView *webView;
    QWebInspector *inspector;
    QDockWidget *dockWidgetInspector;
    QAction *actionInspectElement;

    friend class WebView;
};

#endif // WEBKITTC_H
